// MOLDYN_DIALOG.H : write a short description here...

// Copyright (C) 2002 Tommi Hassinen.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

/*################################################################################################*/

#ifndef MOLDYN_DIALOG_H
#define MOLDYN_DIALOG_H

//#include "ghemicalconfig2.h"

#include "glade_dialog.h"

#include <ghemical/moldyn.h>

/*################################################################################################*/

class moldyn_dialog : public glade_dialog
{
	protected:
	
	moldyn_param * param;
	
	GtkWidget * dialog;
	
	GtkWidget * entry_nsteps_h;
	GtkWidget * entry_nsteps_e;
	GtkWidget * entry_nsteps_s;
	GtkWidget * entry_temperature;
	GtkWidget * entry_timestep;
	GtkWidget * checkbutton_constant_e;
	GtkWidget * checkbutton_langevin;
	
	GtkWidget * entry_trajfile;
	GtkWidget * button_browse;
	GtkWidget * file_selector;
	
	public:
	
	moldyn_dialog(moldyn_param *);
	~moldyn_dialog(void);

	static void handler_Destroy(GtkWidget *, gpointer);
	
	static void handler_ButtonOK(GtkWidget *, gpointer);
	static void handler_ButtonCancel(GtkWidget *, gpointer);
	
	static void handler_ButtonBrowse(GtkWidget *, gpointer);
	static void handler_FileChooser(GtkWidget *, gpointer);
};

/*################################################################################################*/

#endif	// MOLDYN_DIALOG_H

// eof
